Package org.springframework.security.web.webauthn.authentication

# Interface PublicKeyCredentialRequestOptionsRepository

All Known Implementing Classes:
  `HttpSessionPublicKeyCredentialRequestOptionsRepository`

public interface PublicKeyCredentialRequestOptionsRepository
Saves `PublicKeyCredentialRequestOptions` between a request to generate an assertion and the validation of the assertion.

Since:
  6.4

## Method Summary

Modifier and Type
Method
Description
`PublicKeyCredentialRequestOptions`
`load(jakarta.servlet.http.HttpServletRequest request)`
Gets a saved `PublicKeyCredentialRequestOptions` if it exists, otherwise null.
`void`
`save(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, PublicKeyCredentialRequestOptions options)`
Saves the provided `PublicKeyCredentialRequestOptions` or clears an existing `PublicKeyCredentialRequestOptions` if `options` is null.

## Method Details

### save

void save(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, PublicKeyCredentialRequestOptions options)
Saves the provided `PublicKeyCredentialRequestOptions` or clears an existing `PublicKeyCredentialRequestOptions` if `options` is null.

Parameters:
  `request` - the `HttpServletRequest`
  `response` - the `HttpServletResponse`
  `options` - the `PublicKeyCredentialRequestOptions` to save or null if an existing `PublicKeyCredentialRequestOptions` should be removed.

### load

PublicKeyCredentialRequestOptions load(jakarta.servlet.http.HttpServletRequest request)
Gets a saved `PublicKeyCredentialRequestOptions` if it exists, otherwise null.

Parameters:
  `request` - the `HttpServletRequest`
Returns:
  the `PublicKeyCredentialRequestOptions` that was saved, otherwise null.